Subject: Re: mounts, ls, and filename completion
From: [email-masked] (Earnie Boyd)

13 Aug 1998 09:01:43 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Michael Mauch <[email-masked]>, [email-masked]

---Michael Mauch <[email-masked]> wrote:
>
> On Tue, 11 Aug 1998 04:36:05 -0700 (PDT), Earnie Boyd wrote:
> 
> > Now if you were to do:
> >       mkdir //d/foo
> >       mount -b //d/foo /foo
> > that would be perfectly acceptable and would not confuse you or
> > cygwin32.
> 
> Another question regarding mounts:
> 
> Is there a way to mount everything in binary mode, either on the
command
> line or in a C program? Something like _fmode = O_BINARY in other C
> environments, but also for pipes and spawned processes?
> 

You can do it with the Mingw32 version of gcc because the _fmode is an
external variable located in the crtdll.dll; but, you won't have the
filesystem emulation and porting becomes more of a chore.

As for the pipes, I remember Sergey saying that it is fixed within the
bash source, you would need to modify the source and rebuild.  As for
the spawned processes, I believe that `export CYGWIN32=$CYGWIN32
binmode' will help.

> I have many drive letters and the default mount mode of //c/ to //z/
is
> text mode. Can I change them all to binary mode or do I really have to
> mount each and every drive with `mount -b //c/ /c./´ to `mount -b //z/
> /z./´?
> 

Sorry to say that I know of no easy means to accomplish what you want
except for grunt work.  One could create an executable to determine
the drive letters and then create the registry keys with the binary
designation value.  The source for mount in the winsup directory
should help with this.

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".